Create or update a registered RNA oligo
Create or update a registered RNA oligo.
Schema field links can be populated using entity registry IDs or API IDs. In the value field of the Field resource, the object {"entityRegistryId": ENTITY_REGISTRY_ID} may be provided instead of the API ID if desired (see example value).
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
entity_registry_id
Request
This endpoint expects an object.
name
Name of the Oligo.
registryId
schemaId
ID of the oligo's schema.
archiveRecord
Currently, we only support setting a null value for archiveRecord, which unarchives the item
fields
Fields to set on the Oligo. Must correspond with the schema's field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field.
aliases
Aliases to add to the Oligo
bases
Base pairs of the oligo.
customFields
Custom fields to add to the Oligo. Every field should have its name as a key, mapping to an object with information about the value of the field.
folderId
ID of the folder containing the Oligo.
Response
Updated
Errors
400
Bad Request Error